Important: Please read the Qt Code of Conduct - https://forum.qt.io/topic/113070/qt-code-of-conduct

Qtwebengine 5.15 and Swiftshader libs



  • Hello, Is it possible to use Swiftshader libs with qtwebengine 5.15.2-5.15.5?
    They working fine in qtwebengine 5.15.0.
    In 5.15.0 - Just open SimpleBrowser example, add QCoreApplication::setAttribute(Qt::AA_UseOpenGLES); , deploy it and put SwiftShader libs (from any chrome) to folder with exe.
    And you will see Renderer Swifshader on https://webglreport.com/
    de154a48-18ae-467f-8ca3-8a32fc360456-image.png
    We need that because Swiftshader libs working good on virtual machines, webgl1 and webgl2 working fine.
    In qtwebengine 5.15.5 its impossible to enable webgl1 and webgl2 on Virtual Machine (Vmware or vbox as example)


  • Lifetime Qt Champion

    Hi and welcome to devnet,

    If you have access to Qt 5.15.X where X is bigger than 2, then you have a commercial license, thus you should bring that question to the Qt Company directly.

    This is a voluntary driven forum where most of the people are using the Open Source version.


Log in to reply